﻿#!/usr/bin/perl -w
#    perl PerlController.pl PerlScript.pl

use strict;
use warnings;

my $perlScriptName = $ARGV[0];
my $inFileFolder = "Infile_fol";
my $outFileFolder = "Outfile_fol";

my @InFileNameArray = ( );


if (!@ARGV) {
   print "\nYou must include a file name.\n";
   print "For example: \n\n";
   print "\$ perl PerlController.pl PerlScript.pl \n\n";
   exit(1);
}

# Output folder を作成します．既にあったら，一度削除して新しいフォルダを作ります．
if (-d "$outFileFolder") {
system ("rm -r $outFileFolder");
}
if (!-d "$outFileFolder") {
mkdir("$outFileFolder", 0755);
}

# InfileFolder に入っている infile 名を @InFileNameArray に格納します．
opendir(DIR,"$inFileFolder");
@InFileNameArray = readdir(DIR);
close(DIR);

# infile を一つずつ処理します．
foreach my $inFileName (@InFileNameArray) {
  if($inFileName !~ /^\./){
    system("perl $perlScriptName $inFileFolder/$inFileName > $outFileFolder/$inFileName");
  }
}